import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { IColumnSetting } from '../models/grid-column-setting';
import { State } from '@progress/kendo-data-query';
import { DataStateChangeEvent, GridDataResult } from '@progress/kendo-angular-grid';
import { AtlasGridService } from '../services/atlas-grid.service';
export declare class AtlasGridComponent implements OnInit, OnDestroy {
    data: any[];
    showAddModel: boolean;
    columns: IColumnSetting[];
    isPageable: boolean;
    isFilterable: boolean;
    isSortable: boolean;
    state: State;
    width: string;
    isLoading: boolean;
    gridService: AtlasGridService;
    selectable: any;
    showSelectAll: boolean;
    editDataItem: any;
    isEditable: boolean;
    selectBy: any;
    selectedKeys: any[];
    gridDataResult: GridDataResult;
    add: EventEmitter<any>;
    edit: EventEmitter<any>;
    remove: EventEmitter<any>;
    private gridServiceSubscription;
    constructor();
    ngOnInit(): void;
    dataStateChange(event: DataStateChangeEvent): void;
    refreshGrid(): void;
    onAdd(event: any): void;
    onEdit({ dataItem }: {
        dataItem: any;
    }): void;
    onRemove({ dataItem }: {
        dataItem: any;
    }): void;
    ngOnDestroy(): void;
}
